Subject: Re: [wpan-next v2 01/27] net: mac802154: Split the set channel hook implementation

From: Miquel Raynal <[email-masked]>
Date: Thu, 13 Jan 2022 10:32:29 +0100

Hi Alexander,

[email-masked] wrote on Wed, 12 Jan 2022 17:30:35 -0500:

> Hi,
> 
> On Wed, 12 Jan 2022 at 12:33, Miquel Raynal <[email-masked]> wrote:
> >
> > As it is currently designed, the set_channel() cfg802154 hook
> > implemented in the softMAC is doing a couple of checks before actually
> > performing the channel change. However, as we enhance the support for
> > automatically setting the symbol duration during channel changes, it
> > will also be needed to ensure that the corresponding channel as properly
> > be selected at probe time. In order to verify this, we will need to  
> 
> no, we don't set channels at probe time. We set the
> current_page/channel whatever the default is according to the hardware
> datasheet. I think this channel should be dropped and all drivers set
> the defaults before registering hw as what we do at e.g. at86rf230,
> see [0].

Is there a reason for refusing to call ->set_channel() at probe time?

Anyway, I'll put the symbol duration setting in the registration helper
and I will fix hwsim aside.

> 
> - Alex
> 
> [0] https://elixir.bootlin.com/linux/v5.16/source/drivers/net/ieee802154/at86rf230.c#L1553

Thanks,
Miquèl